Index: src/core/driver/tsp_data_receiver.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/driver/tsp_data_receiver.c,v
retrieving revision 1.29
diff -u -r1.29 tsp_data_receiver.c
--- src/core/driver/tsp_data_receiver.c	28 Aug 2007 09:44:29 -0000	1.29
+++ src/core/driver/tsp_data_receiver.c	3 Feb 2008 19:38:45 -0000
@@ -107,7 +107,7 @@
 	break;
     
     default:	 
-      STRACE_ERROR(("Group id % in not a reserved group", group_index));
+      STRACE_ERROR("Group id % in not a reserved group", group_index);
       ret = FALSE;
     }
   
@@ -137,7 +137,7 @@
   if( 0 == receiver->stream_receiver)
     {
       /* FIXME : bof...*/
-      STRACE_ERROR(("TSP_stream_receiver_create failed")); 
+      STRACE_ERROR("TSP_stream_receiver_create failed"); 
       free(receiver->buf);receiver->buf = 0;
       free(receiver);
       receiver = 0;
@@ -220,7 +220,7 @@
 									   in_buf);
 		      if(!ret)
 			{
-			  STRACE_ERROR(("decoder function failed"));
+			  STRACE_ERROR("decoder function failed");
 			  break;
 			}
 
@@ -299,7 +299,7 @@
 			case TSP_TYPE_UNKNOWN:
 			  
 			default:
-			  STRACE_WARNING(("Impossible TSP TYPE in decode??"));
+			  STRACE_WARNING("Impossible TSP TYPE in decode??");
 			  sample->uvalue.raw_value= ((uint8_t*)groups[group_index].decode_buffer)[i];
                                break;
 			       
@@ -331,7 +331,7 @@
 		{
 		  if(!receiver_stopped)
 		    {
-		      STRACE_WARNING(("Unable to receive samples"));
+		      STRACE_WARNING("Unable to receive samples");
 		      /* Add in fifo a message to report the incident via the read_sample API*/
 		      TSP_data_receiver_process_receiver_error(sample_fifo);
 		    }
@@ -344,7 +344,7 @@
 	      ret = TSP_data_receiver_process_reserved_group_id(group_index, sample_fifo);
 	      if(!ret)
 		{
-		  STRACE_ERROR(("The received group id is corrupted. This should not happen..."));
+		  STRACE_ERROR("The received group id is corrupted. This should not happen...");
 		  assert(0);
 		  TSP_data_receiver_process_receiver_error(sample_fifo);
 		}
@@ -355,7 +355,7 @@
 	{
 	  if(!receiver_stopped)
 	    {		  
-	      STRACE_WARNING(("Unable to receive group size and time stamp, provider died?"));
+	      STRACE_WARNING("Unable to receive group size and time stamp, provider died?");
 	      /* Add in fifo a message to report the incident via the read sample API*/
 	      TSP_data_receiver_process_receiver_error(sample_fifo);
 	    }
Index: src/core/driver/tsp_group.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/driver/tsp_group.c,v
retrieving revision 1.12
diff -u -r1.12 tsp_group.c
--- src/core/driver/tsp_group.c	28 Aug 2007 09:44:30 -0000	1.12
+++ src/core/driver/tsp_group.c	3 Feb 2008 19:38:45 -0000
@@ -132,10 +132,10 @@
 				       table->groups[group_id].items[rank].sizeof_encoded_item :
 				       decode_buffer_maxsize);
 	      
-	      STRACE_DEBUG(("Added to group table Id=%d, Gr=%d, Rank=%d", 
+	      STRACE_DEBUG("Added to group table Id=%d, Gr=%d, Rank=%d", 
 			    table->groups[group_id].items[rank].provider_global_index,
 			    group_id,
-			    rank));
+			    rank);
 	      rank++; 
 	      i++;
 	    }  
Index: src/core/driver/tsp_stream_receiver.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/driver/tsp_stream_receiver.c,v
retrieving revision 1.14
diff -u -r1.14 tsp_stream_receiver.c
--- src/core/driver/tsp_stream_receiver.c	30 Nov 2007 15:42:00 -0000	1.14
+++ src/core/driver/tsp_stream_receiver.c	3 Feb 2008 19:38:45 -0000
@@ -86,7 +86,7 @@
   str_port = strtok_r(NULL, ":", &last);
   port = (unsigned short)atoi(str_port);
   
-  STRACE_DEBUG(("Connection Data : Host='%s' port=%u", host, (unsigned int)port));
+  STRACE_DEBUG("Connection Data : Host='%s' port=%u", host, (unsigned int)port);
 
   /* Init socket */
   sock->socketId = socket(AF_INET, SOCK_STREAM, 0);
@@ -98,7 +98,7 @@
       status = setsockopt(sock->socketId, SOL_SOCKET, SO_RCVBUF, (void * )&OptInt, sizeof(OptInt));
       if (status == -1)
 	{
-	  STRACE_ERROR(("Probleme with set socket size"));
+	  STRACE_ERROR("Probleme with set socket size");
 
 	  close(sock->socketId);
 	  free(sock);
@@ -112,7 +112,7 @@
 			  (void *) &OptInt, sizeof(OptInt));
       if (status == -1)
 	{
-          STRACE_ERROR(("pb set local address reuse"));
+          STRACE_ERROR("pb set local address reuse");
 	  close(sock->socketId);
 	  free(sock);
 	  return 0;
@@ -125,7 +125,7 @@
 			  (void *) &OptInt, sizeof(OptInt));
       if (status == -1)
 	{
-	  STRACE_ERROR(("pb set periodic state control"));
+	  STRACE_ERROR("pb set periodic state control");
 
 	  close(sock->socketId);
 	  free(sock);
@@ -138,7 +138,7 @@
 			  sizeof(OptInt));
       if (status == -1)
 	{
-	  STRACE_ERROR(("pb set TCP no delay"));
+	  STRACE_ERROR("pb set TCP no delay");
 
 	  close(sock->socketId);
 	  free(sock);
@@ -150,7 +150,7 @@
       Host_p = gethostbyname(host);
       if (Host_p == (struct hostent *) NULL)
 	{
-	  STRACE_ERROR(("pb get host by name"));
+	  STRACE_ERROR("pb get host by name");
 
 	  close(sock->socketId);
 	  free(sock);
@@ -181,7 +181,7 @@
     
       if (status == -1)
 	{
-	  STRACE_ERROR(("pb connecting to socket"));
+	  STRACE_ERROR("pb connecting to socket");
 	  close(sock->socketId);
 	  free(sock);
 	  return 0;
@@ -267,13 +267,13 @@
 	      else 
 		  {
 		  
-		    STRACE_INFO(("read failed"));
+		    STRACE_INFO("read failed");
 		    return FALSE;
 		  }
 	  }
       else if (nread == 0)
 	  {
-		  STRACE_INFO(("Received socket EOF"));
+		  STRACE_INFO("Received socket EOF");
 		  return FALSE;
 	  }
 	  
Index: src/core/include/tsp_const_def.h
===================================================================
RCS file: /sources/tsp/tsp/src/core/include/tsp_const_def.h,v
retrieving revision 1.45
diff -u -r1.45 tsp_const_def.h
--- src/core/include/tsp_const_def.h	2 Nov 2007 15:30:13 -0000	1.45
+++ src/core/include/tsp_const_def.h	3 Feb 2008 19:38:45 -0000
@@ -276,7 +276,7 @@
 	{ \
 		if ( 0 == p ) \
 		{ \
-			STRACE_ERROR(("TSP_CHECK_ALLOC : ERROR : Memory allocation failed"))  \
+			STRACE_ERROR("TSP_CHECK_ALLOC: Memory allocation failed");	\
 			return ret; \
 		} \
 	}
@@ -285,7 +285,7 @@
 	{ \
 		if ( NULL == p ) \
 		{ \
-			STRACE_ERROR(("TSP_CHECK_POINTER : NULL POINTER : " # msg ))  \
+			STRACE_ERROR("TSP_CHECK_POINTER: NULL POINTER : " # msg );	\
 			return ret; \
 		} \
 	}
@@ -294,7 +294,7 @@
 	{ \
 		if ( 0 != status ) \
 		{ \
-			STRACE_ERROR(("TSP_CHECK_THREAD : ERROR : Thread API Error status =%d",status))  \
+			STRACE_ERROR("TSP_CHECK_THREAD: Thread API Error status =%d",status); \
 			return ret; \
 		} \
 	}	
@@ -303,7 +303,7 @@
 	{ \
 		if ( 0 != pthread_mutex_lock(mutex) )\
 		{ \
-			STRACE_ERROR(("TSP_LOCK_MUTEX : ERROR : Mutex Lock Error"))  \
+			STRACE_ERROR("TSP_LOCK_MUTEX: Mutex Lock Error"); \
 			return ret; \
 		} \
 	}	
@@ -312,7 +312,7 @@
 	{ \
 		if ( 0 != pthread_mutex_unlock(mutex) ) \
 		{ \
-			STRACE_ERROR(("TSP_UNLOCK_MUTEX : ERROR : Mutex Unlock Error"))  \
+			STRACE_ERROR("TSP_UNLOCK_MUTEX: Mutex Unlock Error"); \
 			return ret; \
 		} \
 	}	
Index: src/core/include/tsp_prjcfg.h.in
===================================================================
RCS file: /sources/tsp/tsp/src/core/include/tsp_prjcfg.h.in,v
retrieving revision 1.9
diff -u -r1.9 tsp_prjcfg.h.in
--- src/core/include/tsp_prjcfg.h.in	18 Oct 2006 09:58:48 -0000	1.9
+++ src/core/include/tsp_prjcfg.h.in	3 Feb 2008 19:38:45 -0000
@@ -49,7 +49,7 @@
  */
 #define TSP_SOURCE_VERSION "@PACKAGE_VERSION@"
 
-#include <tsp_simple_trace.h>
+#include <tsp_common_trace.h>
 
 /*
  * The following macro is used under windows system to declare 
Index: src/core/misc_utils/tsp_ringbuf.h
===================================================================
RCS file: /sources/tsp/tsp/src/core/misc_utils/tsp_ringbuf.h,v
retrieving revision 1.9
diff -u -r1.9 tsp_ringbuf.h
--- src/core/misc_utils/tsp_ringbuf.h	30 Jul 2007 16:24:25 -0000	1.9
+++ src/core/misc_utils/tsp_ringbuf.h	3 Feb 2008 19:38:45 -0000
@@ -245,7 +245,7 @@
   {									\
     int mul_offset =  RINGBUF_MULTSUP((sizeof(ItemType) + nbSpareBytes),sizeof(ItemType)) / sizeof(ItemType); \
     name = (TypeName*)malloc(sizeof(TypeName) + (sizeof(ItemType) * mul_offset  * sz)); \
-    STRACE_DEBUG(("RINGBUF_PTR_INIT request %d Kbytes (sizeof(" #TypeName ")=%d,sizeof(" #ItemType ")=%d,mul_offset=%d,sz=%d)",(sizeof(TypeName) + (sizeof(ItemType) *mul_offset  * sz))/1024,sizeof(TypeName),sizeof(ItemType),mul_offset,sz)); \
+    STRACE_DEBUG("RINGBUF_PTR_INIT request %d Kbytes (sizeof(" #TypeName ")=%d,sizeof(" #ItemType ")=%d,mul_offset=%d,sz=%d)",(sizeof(TypeName) + (sizeof(ItemType) *mul_offset  * sz))/1024,sizeof(TypeName),sizeof(ItemType),mul_offset,sz); \
     if(NULL!=name) {							\
       (name)->size   = sz;						\
       (name)->put   = 0;						\
Index: src/core/rpc/tsp_client.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_client.c,v
retrieving revision 1.21
diff -u -r1.21 tsp_client.c
--- src/core/rpc/tsp_client.c	12 May 2007 22:09:32 -0000	1.21
+++ src/core/rpc/tsp_client.c	3 Feb 2008 19:38:45 -0000
@@ -44,13 +44,13 @@
 int tsp_wrap_rpc_clnt_set_timeout(CLIENT *client, int timeout);
 
 #define LOCAL_RPCCHECK_NORETURN  	if( server == (TSP_server_t)0)  \
-                                        { STRACE_ERROR(("RPCCHECK failed")) ;} 
+                                        { STRACE_ERROR("RPCCHECK failed") ;} 
 
 #define LOCAL_RPCCHECK_FALSE  	if( server == (TSP_server_t)0)  \
-				{ STRACE_ERROR(("RPCCHECK failed")) ; return FALSE ;} 
+				{ STRACE_ERROR("RPCCHECK failed") ; return FALSE ;} 
 				
 #define LOCAL_RPCCHECK_0  	if( server == (TSP_server_t)0) \
-				{ STRACE_ERROR(("RPCCHECK failed")) ; return 0 ;} 
+				{ STRACE_ERROR("RPCCHECK failed") ; return 0 ;} 
 
 TSP_provider_info_t * tsp_provider_information(TSP_server_t server)
 {
@@ -76,10 +76,10 @@
   cl = clnt_create(target_name, progid, TSP_RPC_VERSION_INITIAL, "tcp");
 
   if (cl == (CLIENT *)0) {
-    STRACE_DEBUG(("ERROR : GLOBAL clnt_create failed for host <%s> / progid <%d/0x%08X>", target_name, progid,progid));
+    STRACE_DEBUG("ERROR : GLOBAL clnt_create failed for host <%s> / progid <%d/0x%08X>", target_name, progid,progid);
   }
   else {
-    STRACE_INFO(("CONNECTED to server %s", target_name));
+    STRACE_INFO("CONNECTED to server %s", target_name);
     /* Set time out */
     tsp_wrap_rpc_clnt_set_timeout(cl, TSP_RPC_CONNECT_TIMEOUT);    
   }
@@ -107,7 +107,7 @@
 
   if(strcmp(protocol, TSP_RPC_PROTOCOL) != 0)
     {
-      STRACE_ERROR(("Protocol %s not handled, use %s", protocol, TSP_RPC_PROTOCOL));
+      STRACE_ERROR("Protocol %s not handled, use %s", protocol, TSP_RPC_PROTOCOL);
     }
   else if((server_id < prodid_max_number) && (server_id >=0) )
     {
@@ -129,42 +129,42 @@
 				 strlen(server_name)) == 0)
 			{
 			  strcpy(server_info, server_info_t->info);
-			  STRACE_INFO(("Server opened : '%s'", server_info));
+			  STRACE_INFO("Server opened : '%s'", server_info);
 			  ret = TRUE;
 			}
 		      else
 			{
-			  STRACE_INFO(("Not the requested server : '%s'", server_info_t->info));
+			  STRACE_INFO("Not the requested server : '%s'", server_info_t->info);
 			  TSP_remote_close_server(*server);
 			  ret = FALSE;
 			}
 		    }
 		  else
 		    {
-		      STRACE_ERROR(("Returned info string too long"));
+		      STRACE_ERROR("Returned info string too long");
 		    }
 		}
 	      else
 		{
-		  STRACE_ERROR(("%s", clnt_sperror(*server, "sp_server_info_1\n") ));
+		  STRACE_ERROR("%s", clnt_sperror(*server, "sp_server_info_1"));
 		}
 	      
 	    }
 	  else
 	    {
-	      STRACE_DEBUG(("tsp_remote_open_progid failed"));
+	      STRACE_DEBUG("tsp_remote_open_progid failed");
 	    }
 			
 	}
       else
 	{
-	  STRACE_ERROR(("No ProgId for Server Id=%d", server_id));
+	  STRACE_ERROR("No ProgId for Server Id=%d", server_id);
 	}
 		
     }
   else
     {
-      STRACE_ERROR(("server_id %d too high", server_id));
+      STRACE_ERROR("server_id %d too high", server_id);
     }
 	
   return ret;
Index: src/core/rpc/tsp_rpc.h.linux
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc.h.linux,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc.h.linux
--- src/core/rpc/tsp_rpc.h.linux	22 Apr 2007 21:15:35 -0000	1.1
+++ src/core/rpc/tsp_rpc.h.linux	3 Feb 2008 19:38:46 -0000
@@ -276,7 +276,7 @@
 	char *info;
 };
 typedef struct TSP_provider_info_t TSP_provider_info_t;
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 struct tsp_request_filtered_information_1_argument {
 	TSP_request_information_t arg1;
Index: src/core/rpc/tsp_rpc.h.rtems
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc.h.rtems,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc.h.rtems
--- src/core/rpc/tsp_rpc.h.rtems	2 Nov 2007 15:30:12 -0000	1.1
+++ src/core/rpc/tsp_rpc.h.rtems	3 Feb 2008 19:38:46 -0000
@@ -276,7 +276,7 @@
 	char *info;
 };
 typedef struct TSP_provider_info_t TSP_provider_info_t;
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 struct tsp_request_filtered_information_1_argument {
 	TSP_request_information_t arg1;
Index: src/core/rpc/tsp_rpc.h.win32
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc.h.win32,v
retrieving revision 1.2
diff -u -r1.2 tsp_rpc.h.win32
--- src/core/rpc/tsp_rpc.h.win32	26 Apr 2007 17:51:30 -0000	1.2
+++ src/core/rpc/tsp_rpc.h.win32	3 Feb 2008 19:38:46 -0000
@@ -276,7 +276,7 @@
 	char *info;
 };
 typedef struct TSP_provider_info_t TSP_provider_info_t;
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 struct tsp_request_filtered_information_1_argument {
 	TSP_request_information_t req_info;
Index: src/core/rpc/tsp_rpc.x
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc.x,v
retrieving revision 1.42
diff -u -r1.42 tsp_rpc.x
--- src/core/rpc/tsp_rpc.x	25 Oct 2006 14:40:30 -0000	1.42
+++ src/core/rpc/tsp_rpc.x	3 Feb 2008 19:38:46 -0000
@@ -755,4 +755,4 @@
 %}
 #endif
 
-%#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult)  {  STRACE_ERROR(("%s", clnt_sperror(cl, "")));  }
+%#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult)  {  STRACE_ERROR("%s", clnt_sperror(cl, ""));  }
Index: src/core/rpc/tsp_rpc_clnt.c.linux
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_clnt.c.linux,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc_clnt.c.linux
--- src/core/rpc/tsp_rpc_clnt.c.linux	22 Apr 2007 21:15:35 -0000	1.1
+++ src/core/rpc/tsp_rpc_clnt.c.linux	3 Feb 2008 19:38:46 -0000
@@ -16,7 +16,7 @@
  tv.tv_usec = 0;
  return clnt_control(client, CLSET_TIMEOUT, (char *)&tv);
 }
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 /* Default timeout can be changed using clnt_control() */
 static struct timeval TIMEOUT = { 25, 0 };
Index: src/core/rpc/tsp_rpc_clnt.c.win32
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_clnt.c.win32,v
retrieving revision 1.2
diff -u -r1.2 tsp_rpc_clnt.c.win32
--- src/core/rpc/tsp_rpc_clnt.c.win32	26 Apr 2007 17:51:30 -0000	1.2
+++ src/core/rpc/tsp_rpc_clnt.c.win32	3 Feb 2008 19:38:46 -0000
@@ -16,7 +16,7 @@
  tv.tv_usec = 0;
  return clnt_control(client, CLSET_TIMEOUT, (char *)&tv);
 }
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 /* Default timeout can be changed using clnt_control() */
 static struct timeval TIMEOUT = { 25, 0 };
Index: src/core/rpc/tsp_rpc_clnt_rtems.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_clnt_rtems.c,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc_clnt_rtems.c
--- src/core/rpc/tsp_rpc_clnt_rtems.c	2 Nov 2007 15:30:11 -0000	1.1
+++ src/core/rpc/tsp_rpc_clnt_rtems.c	3 Feb 2008 19:38:46 -0000
@@ -16,7 +16,7 @@
  tv.tv_usec = 0;
  return clnt_control(client, CLSET_TIMEOUT, (char *)&tv);
 }
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 /* Default timeout can be changed using clnt_control() */
 static struct timeval TIMEOUT = { 25, 0 };
Index: src/core/rpc/tsp_rpc_svc.c.linux
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_svc.c.linux,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc_svc.c.linux
--- src/core/rpc/tsp_rpc_svc.c.linux	22 Apr 2007 21:15:35 -0000	1.1
+++ src/core/rpc/tsp_rpc_svc.c.linux	3 Feb 2008 19:38:48 -0000
@@ -18,7 +18,7 @@
 #ifndef SIG_PF
 #define SIG_PF void(*)(int)
 #endif
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 static TSP_provider_info_t *
 _tsp_provider_information_1 (void  *argp, struct svc_req *rqstp)
Index: src/core/rpc/tsp_rpc_svc.c.win32
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_svc.c.win32,v
retrieving revision 1.2
diff -u -r1.2 tsp_rpc_svc.c.win32
--- src/core/rpc/tsp_rpc_svc.c.win32	26 Apr 2007 17:51:30 -0000	1.2
+++ src/core/rpc/tsp_rpc_svc.c.win32	3 Feb 2008 19:38:48 -0000
@@ -22,7 +22,7 @@
 #ifndef SIG_PF
 #define SIG_PF void(*)(int)
 #endif
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 static TSP_provider_info_t *
 _tsp_provider_information_1 (void  *argp, struct svc_req *rqstp)
Index: src/core/rpc/tsp_rpc_svc_rtems.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_svc_rtems.c,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc_svc_rtems.c
--- src/core/rpc/tsp_rpc_svc_rtems.c	2 Nov 2007 15:30:12 -0000	1.1
+++ src/core/rpc/tsp_rpc_svc_rtems.c	3 Feb 2008 19:38:48 -0000
@@ -18,7 +18,7 @@
 #ifndef SIG_PF
 #define SIG_PF void(*)(int)
 #endif
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
 
 static TSP_provider_info_t *
 _tsp_provider_information_1 (void  *argp, struct svc_req *rqstp)
Index: src/core/rpc/tsp_rpc_xdr.c.linux
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_xdr.c.linux,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc_xdr.c.linux
--- src/core/rpc/tsp_rpc_xdr.c.linux	22 Apr 2007 21:15:35 -0000	1.1
+++ src/core/rpc/tsp_rpc_xdr.c.linux	3 Feb 2008 19:38:48 -0000
@@ -857,4 +857,4 @@
 		 return FALSE;
 	return TRUE;
 }
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
Index: src/core/rpc/tsp_rpc_xdr.c.win32
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_xdr.c.win32,v
retrieving revision 1.2
diff -u -r1.2 tsp_rpc_xdr.c.win32
--- src/core/rpc/tsp_rpc_xdr.c.win32	26 Apr 2007 17:51:30 -0000	1.2
+++ src/core/rpc/tsp_rpc_xdr.c.win32	3 Feb 2008 19:38:48 -0000
@@ -852,4 +852,4 @@
 		 return FALSE;
 	return TRUE;
 }
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
Index: src/core/rpc/tsp_rpc_xdr_rtems.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_rpc_xdr_rtems.c,v
retrieving revision 1.1
diff -u -r1.1 tsp_rpc_xdr_rtems.c
--- src/core/rpc/tsp_rpc_xdr_rtems.c	2 Nov 2007 15:30:11 -0000	1.1
+++ src/core/rpc/tsp_rpc_xdr_rtems.c	3 Feb 2008 19:38:48 -0000
@@ -857,4 +857,4 @@
 		 return FALSE;
 	return TRUE;
 }
-#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR(("%s", clnt_sperror(cl, ""))); }
+#define TSP_STRACE_RPC_ERROR(cl, pResult) if(!pResult) { STRACE_ERROR("%s", clnt_sperror(cl, "")); }
Index: src/core/rpc/tsp_server.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/rpc/tsp_server.c,v
retrieving revision 1.35
diff -u -r1.35 tsp_server.c
--- src/core/rpc/tsp_server.c	30 Nov 2007 15:42:02 -0000	1.35
+++ src/core/rpc/tsp_server.c	3 Feb 2008 19:38:48 -0000
@@ -179,7 +179,7 @@
   
 
   /* endianity managment*/
-/*   STRACE_DEBUG(("Len=%d,  pgi = %d value = %f et ret = %d", async_sample_write.data.data_len, async_sample_write.provider_global_index,(double*)(async_sample_write.data.data_val),ret)); */
+/*   STRACE_DEBUG("Len=%d,  pgi = %d value = %f et ret = %d", async_sample_write.data.data_len, async_sample_write.provider_global_index,(double*)(async_sample_write.data.data_val),ret); */
 
 /*   switch (async_sample_write.data.data_len) { */
 /*   case 2:  */
@@ -196,11 +196,11 @@
 /*   } */
 	
 
-  STRACE_DEBUG(("TSP_SERVER Before async_write : pgi %d value %s return %d ",async_sample_write.provider_global_index,async_sample_write.data.data_val,ret ));
+  STRACE_DEBUG("TSP_SERVER Before async_write : pgi %d value %s return %d ",async_sample_write.provider_global_index,async_sample_write.data.data_val,ret);
   
   ret = TSP_provider_request_async_sample_write(&async_sample_write);	
   
-  STRACE_DEBUG(("TSP_SERVER After async_write : pgi %d value %s return %d ",async_sample_write.provider_global_index,async_sample_write.data.data_val,ret ));
+  STRACE_DEBUG("TSP_SERVER After async_write : pgi %d value %s return %d ",async_sample_write.provider_global_index,async_sample_write.data.data_val,ret);
 
   return &ret;
   
@@ -211,7 +211,7 @@
   static TSP_async_sample_t ret;
   
   /* endianity managment*/
-/*   STRACE_DEBUG(("Len=%d,  pgi = %d value = %f et ret = %d", async_sample_read.data.data_len, async_sample_read.provider_global_index,(double*)(async_sample_read.data.data_val),ret)); */
+/*   STRACE_DEBUG("Len=%d,  pgi = %d value = %f et ret = %d", async_sample_read.data.data_len, async_sample_read.provider_global_index,(double*)(async_sample_read.data.data_val),ret); */
 
 /*   switch (async_sample_read.data.data_len) { */
 /*   case 2:  */
@@ -268,27 +268,27 @@
   config->xprt = svctcp_create(RPC_ANYSOCK, 0, 0);
   if (config->xprt == NULL) 
     {
-      STRACE_ERROR(("Cannot create TCP service"));
+      STRACE_ERROR("Cannot create TCP service");
       return;
     }
 
   if (!svc_register(config->xprt, rpc_progid, TSP_RPC_VERSION_INITIAL, tsp_rpc_1, IPPROTO_TCP))
     {
-      STRACE_ERROR(("RPC server unable to register ProgId=%X",  rpc_progid));
+      STRACE_ERROR("RPC server unable to register ProgId=%X",  rpc_progid);
       return;
     }
 
-  STRACE_DEBUG(("RPC server is being be started with ProgId=%X", rpc_progid));
+  STRACE_DEBUG("RPC server is being be started with ProgId=%X", rpc_progid);
   
-  STRACE_DEBUG(("launching svc_run..."));
+  STRACE_DEBUG("launching svc_run...");
   svc_run();
-  STRACE_INFO(("svc_run returned"));
+  STRACE_INFO("svc_run returned");
 
 }
 
 static void TSP_rpc_stop(TSP_rpc_request_config_t *config)
 {
-  /* STRACE_DEBUG(("calling svc_exit...")); */
+  /* STRACE_DEBUG("calling svc_exit..."); */
   /* svc_destroy(config->xprt); */
 
   /* Clean-up Port map so that next provider could use this ProgId */
@@ -338,7 +338,7 @@
   
   config->server_number = TSP_rpc_init(config);
   if(config->server_number < 0) {
-      STRACE_ERROR(("unable to register any RPC progid :\n\tcheck RPC daemons, or use tsp_rpc_cleanup to clean-up all TSP RPC port mapping"));
+      STRACE_ERROR("unable to register any RPC progid :\n\tcheck RPC daemons, or use tsp_rpc_cleanup to clean-up all TSP RPC port mapping");
       cthis->status = TSP_RQH_STATUS_IDLE;
       
       return FALSE;
@@ -348,7 +348,7 @@
 #if NUMERIC_HOST
     myhost = gethostbyname(hostname);
     if (myhost == NULL) {
-      STRACE_ERROR(("Cannot gethostbyname '(hostname --> @IP)' for host <%s> check your /etc/hosts file.\n",hostname));
+      STRACE_ERROR("Cannot gethostbyname '(hostname --> @IP)' for host <%s> check your /etc/hosts file.",hostname);
       /* be tolerant we keep going with hostname but... consumer may not handle this properly */    
     } else {
      /* 
Index: src/core/xmlrpc/tsp_xmlrpc_client.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/xmlrpc/tsp_xmlrpc_client.c,v
retrieving revision 1.4
diff -u -r1.4 tsp_xmlrpc_client.c
--- src/core/xmlrpc/tsp_xmlrpc_client.c	18 Jul 2006 23:59:19 -0000	1.4
+++ src/core/xmlrpc/tsp_xmlrpc_client.c	3 Feb 2008 19:38:48 -0000
@@ -56,7 +56,7 @@
   TSP_provider_info_t *prov_info;
   xmlrpc_value *result;
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   result = xmlrpc_client_call(&server->xmlrpc_envi, server->url, "tsp.tsp_provider_information", "()");
   die_if_fault_occurred(&server->xmlrpc_envi);
@@ -64,7 +64,7 @@
   prov_info = xmlrpc_value_to_TSP_provider_info(&server->xmlrpc_envi, result);
   xmlrpc_DECREF(result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 
   return prov_info;
 }	
@@ -83,7 +83,7 @@
   *server = (TSP_server_t)malloc(sizeof(**server));
   server_info[0] = '\0';
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   /* XMLRPC client library startup */
   xmlrpc_client_init(XMLRPC_CLIENT_NO_FLAGS, NAME, VERSION);
@@ -104,21 +104,21 @@
 							 server_info_t->info,
 							 strlen(server_name)) == 0) {
 						  strcpy(server_info, server_info_t->info);
-						  STRACE_INFO(("Server opened : '%s'", server_info));
+						  STRACE_INFO("Server opened : '%s'", server_info);
 						  ret = TRUE;
 				  } else {																					 
-						  STRACE_INFO(("Not the requested server : '%s'", server_info_t->info));
+						  STRACE_INFO("Not the requested server : '%s'", server_info_t->info);
 						  TSP_remote_close_server(*server);
 						  ret = FALSE;
 				  }
 		  } else {
-				  STRACE_ERROR(("Returned info string too long"));
+				  STRACE_ERROR("Returned info string too long");
 		  }
   } else {
-		  STRACE_ERROR(("Could not connect to specified server"));
+		  STRACE_ERROR("Could not connect to specified server");
   }
   
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 
 	
   return ret;
@@ -127,7 +127,7 @@
 
 void TSP_remote_close_server(TSP_server_t server)
 {
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   
   /* Clean up our error-handling environment. */
@@ -136,7 +136,7 @@
   /* Shutdown our XML-RPC client library. */
   xmlrpc_client_cleanup();
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 }
 
 
@@ -151,9 +151,9 @@
   TSP_answer_open_t *ans_open;
   xmlrpc_value *result;
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
-  STRACE_IO((server->url));
+  STRACE_IO(server->url);
 
 
   result = xmlrpc_client_call(&server->xmlrpc_envi, server->url, "tsp.tsp_request_open", 
@@ -168,7 +168,7 @@
 
   xmlrpc_DECREF(result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
   return   ans_open;
 }	
 
@@ -178,7 +178,7 @@
   int res;
   xmlrpc_value *result;
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   result = xmlrpc_client_call(&server->xmlrpc_envi, 
 							  server->url, 
@@ -195,7 +195,7 @@
   /* Dispose of our result value. */
   xmlrpc_DECREF(result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 	
   return res;
 }	
@@ -206,7 +206,7 @@
   TSP_answer_sample_t *ans_sample;
   xmlrpc_value *result;
 
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   result = xmlrpc_client_call(&server->xmlrpc_envi, 
 							  server->url, 
@@ -220,7 +220,7 @@
 
   xmlrpc_DECREF(result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
   return ans_sample;
   
 }	
@@ -233,7 +233,7 @@
   TSP_answer_sample_t *ans_sample;
   xmlrpc_value *xmlrpc_params, *result;
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   xmlrpc_params = TSP_request_sample_to_xmlrpc_value(&server->xmlrpc_envi, req_sample);
 
@@ -247,7 +247,7 @@
   ans_sample = xmlrpc_value_to_TSP_answer_sample(&server->xmlrpc_envi, result);
   xmlrpc_DECREF(result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 	
   return ans_sample;
 }
@@ -260,7 +260,7 @@
   TSP_answer_sample_init_t* ans_sample_init;
   xmlrpc_value *xr_result;
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 
   xr_result = xmlrpc_client_call(&server->xmlrpc_envi, 
 							  server->url, 
@@ -274,7 +274,7 @@
   ans_sample_init = xmlrpc_value_to_TSP_answer_sample_init(&server->xmlrpc_envi, xr_result);
   xmlrpc_DECREF(xr_result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 	
   return ans_sample_init;
 }
@@ -287,7 +287,7 @@
   TSP_answer_sample_destroy_t* ans_sample_destroy;
   xmlrpc_value *xr_result;
 	
-  STRACE_IO(("-->IN"));
+  STRACE_IO("-->IN");
 	
   xr_result = xmlrpc_client_call(&server->xmlrpc_envi, 
 								 server->url, 
@@ -303,26 +303,26 @@
  	
   xmlrpc_DECREF(xr_result);
 
-  STRACE_IO(("-->OUT"));
+  STRACE_IO("-->OUT");
 	
   return ans_sample_destroy;
 }
 	
 TSP_answer_sample_t * TSP_request_filtered_information(const TSP_request_information_t* req_info, int filter_kind, char* filter_string, TSP_server_t server)
 {
-    STRACE_ERROR(("TSP_request_filtered_information unimplemented in XMLRPC"));
+    STRACE_ERROR("TSP_request_filtered_information unimplemented in XMLRPC");
 	return NULL;
 }
 
 int* TSP_request_async_sample_write(const TSP_async_sample_t* async_sample_write, TSP_server_t server)
 {
-    STRACE_ERROR(("TSP_request_async_sample_write unimplemented in XMLRPC"));
+    STRACE_ERROR("TSP_request_async_sample_write unimplemented in XMLRPC");
 	return NULL;
 }
 TSP_async_sample_t* TSP_request_async_sample_read(const TSP_async_sample_t* async_sample_read, 
 						  TSP_server_t server)
 {
-    STRACE_ERROR(("TSP_request_async_sample_read unimplemented in XMLRPC"));
+    STRACE_ERROR("TSP_request_async_sample_read unimplemented in XMLRPC");
 	return NULL;
 }
 
